## firebird2.5 2.5.0.26074-0.ds4

=== debian/changelog ===
firebird2.5 (2.5.0.26074-0.ds4-5ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: Fix for NULL pointer Denial of Service in TraceManager
    (LP: #1115902)
    - debian/patches/CVE-2012-5529.patch: Handle empty query safely. Based on
      upstream patch.
    - CVE-2012-5529

 -- Christian Kuersteiner <ckuerste@gmx.ch>  Wed, 06 Feb 2013 11:25:54 +0700

firebird2.5 (2.5.0.26074-0.ds4-5) unstable; urgency=low

  * watch: protect against 'ReleaseCandidate' in versions
  * add a patch from upstream SVN fixing loading of ICU routines
  * disable fix_kfreebsd_amd64_miscompile.patch
  * link fbtrace with ICU and libpthreads
  * drop lintian overrides about manpages in dependency package
  * claim conformance to Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Apr 2011 11:14:47 +0300

firebird2.5 (2.5.0.26074-0.ds4-4) unstable; urgency=low

  * remove alternative dependency on cdebconf
  * no-spurious-linkage.patch: link all executables with pthreads.
    yes, this introduces a couple of warnings about needless linking, but
    is the easiest way to fix the missing pthreads linkage in most of the
    executables (closes: #618104)
  * remove Daniel Urban from Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Mar 2011 08:12:36 +0200

firebird2.5 (2.5.0.26074-0.ds4-3) unstable; urgency=low

  * upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Wed, 09 Feb 2011 22:42:59 +0200

firebird2.5 (2.5.0.26074-0.ds4-2) experimental; urgency=low

  * update and activate port-hppa-alpha.patch
    Closes: #565762, #565861

 -- Damyan Ivanov <dmn@debian.org>  Fri, 15 Oct 2010 16:54:39 +0300

firebird2.5 (2.5.0.26074-0.ds4-1) experimental; urgency=low

  * New upstream release
    no source changes since 2.5.0.26074~unofficial

  * debian/repack.sh:
    + restore removal of source-less PDF files in doc/
    + restore removal of generated autotools files
    + bump dsX version
  * debian/watch: avoid mangling official releases
  * README.Debian: add a note about missing PDF documentation

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Oct 2010 17:15:16 +0300

firebird2.5 (2.5.0.26074~unofficial.ds3-3) experimental; urgency=low

  * add firebird2.5-{super,classic}-dbg packages
  * rules: make parallel-buildable

 -- Damyan Ivanov <dmn@debian.org>  Wed, 29 Sep 2010 14:55:13 +0300

firebird2.5 (2.5.0.26074~unofficial.ds3-2) experimental; urgency=low

  * add sparc-no-m32.patch

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Sep 2010 15:29:12 +0300

firebird2.5 (2.5.0.26074~unofficial.ds3-1) experimental; urgency=low

  * New upstream snapshot from the R2_5_0 tag at revision 51557
    + copyright: drop one file removed upstream

  * *.init: do not fail when no command is given on the command line
    since we run under 'set -u', the check for "$1" should be protected
    with "${1:-}". Closes: #578471
  * repack: adapt to unofficial 2.5.0 release
  * adopt '3.0 (quilt)' source format; set some local-options

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Sep 2010 17:07:38 +0300

firebird2.5 (2.5.0.26054~ReleaseCandidate3.ds2-1) unstable; urgency=low

  * New upstream release candidate

  * update d/copyright to reflect changes in upstream sources
  * drop patches applied/implemented upstream
    + refresh the rest to apply cleanly
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 27 Jul 2010 18:12:34 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-8) unstable; urgency=low

  * add a patch fixing miscompilation on powerpcspe
    Thanks to Sebastian Andrzej Siewior (Closes: #586254)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 17 Jun 2010 21:34:06 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-7) unstable; urgency=low

  * install libfbtrace.so in -server-common (Closes: #585478)
  * add "Language" header to all translations (by debconf-updatepo)
  * rules/clean: remove -superclassic.{config,templates} too

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Jun 2010 14:50:35 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-6) unstable; urgency=low

  * steal gbak-output-stderr.patch from upstream CVS
  * -super*.init: really do nothing when the package is removed

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 May 2010 11:31:16 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-5) unstable; urgency=low

  * rules: export FIREBIRD_LOCK=debian/tmp-lock during build
    Closes: 575564 -- please set FIREBIRD_LOCK to a location in the package
    build directory. Thanks to Modestas Vainius
  * override lintian about -common-doc being an empty package
    + override lintian about the empty package override being unused

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Apr 2010 15:33:39 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-4) unstable; urgency=high

  * add fix_kfreebsd_amd64_miscompile.patch by Modestas Vainius, working around
    a g++ miscompilation bug with -fipa-reference (-O1 or higher) on
    kfreebsd/amd64
    Closes: #565801 (FTBFS on kfreebsd-amd64), high urgency
  * Mirror prefix.freebsd changes in no-rpath.patch and
    freebsd_targets.patch to prefix.freebsd_amd64
    Again, thanks to Modestas Vainius

 -- Damyan Ivanov <dmn@debian.org>  Mon, 29 Mar 2010 13:40:58 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-3) unstable; urgency=high

  * *.postrm: protect db_input calls with || true as we don't want to fail when
    a debconf question is skipped.
    Closes: #574195, #574213, #574224 (purge fails with Noninteractive debconf
    frontend and critical priority; -super, -classic and -superclassic)
    + high urgency for a release fixing serious bugs
  * watch: improved matching of prerelease tarballs

 -- Damyan Ivanov <dmn@debian.org>  Wed, 17 Mar 2010 14:10:08 +0200

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-2) unstable; urgency=low

  * add libib-util to server packages' Recommends
  * fix install_freebsd_as_linux.patch (and kfreebsd build)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Feb 2010 16:02:28 +0200


