## firebird2.5 2.5.1~svn+52909.ds4

=== debian/changelog ===
firebird2.5 (2.5.1~svn+52909.ds4-1) experimental; urgency=low

  * New upstream SVN snapshot from the B2_5_Release branch
  * Drop patches applied upstream:
    allow-older-libtool
    atomic_ops_require_cas
    fix-mipseb-detect
    powerpc-no-mcpu
    sparc-no-m32
  * drop fix_kfreebsd_amd64_miscompile.patch
  * refresh separate-file-and-sem-perms.patch
  * Add Danish translation of Debconf templates. Thanls to Joe Dalton.
    Closes: #624667
  * drop Conflicts with packages not in oldstable
  * remove explicit conflicts with firebird2.1 servers

 -- Damyan Ivanov <dmn@debian.org>  Wed, 11 May 2011 21:05:14 +0300

firebird2.5 (2.5.1~svn+52789.ds4-1) experimental; urgency=low

  * New upsram SVN snapshot of the B2_5_Release branch
   + includes a fix for a problem with unicode collations

  * pack-upstream-snapshot: use shorter version
    this helps keeping the package file name not too long
    see #620831
  * update debian/copyright
  * patchworks
   + adapt no-spurious-linkage.patch and parallel-build.patch to apply
   + fix no-spurious-linkage.patch so that it works with gcc-4.5 linker
   + refresh link_aromic_ops and separate-file-and-sem-perms to apply cleanly
   + link fbtrace with ICU and libpthreads
  * drop lintian overrides about manpages in dependency packages
  * relax a bit shlibs version requirements so that package can satisfy it
    (thanks, lintian)
  * claim conformance with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Fri, 22 Apr 2011 21:30:10 +0300

firebird2.5 (2.5.1~svn20110210r52328.ds4-1) experimental; urgency=low

  * Upstream snapshot from the B2_5_Release branch

  * add a script for packaging snapshots of upstream Subversion
    repository
  * remove alternative dependency on cdebconf
  * repack.sh: tolerate missing items to remove
  * add debian/gbp.conf

  * Patchworks:
   + remove patches applied upstream: s390_targets, port-alpha-hppa
   + refresh the rest to apply cleanly
   + update no-spurious-linkage.patch making gfix link to pthreads
     fixes a build problem in Ubuntu Natty, thanks to marius adrian popa

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Feb 2011 23:48:10 +0200
