=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: firebird2.5
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
-Uploaders: Damyan Ivanov <dmn@debian.org>
+Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
+Uploaders: Daniel Urban <daniel@sente.pl>,
+ Damyan Ivanov <dmn@debian.org>
 Build-Depends: 
  autoconf,
  automake,
@@ -26,10 +26,7 @@
 Architecture: any
 Provides: firebird-server, firebird-utils, firebird-udf
 Conflicts: firebird-server, firebird-utils, firebird-udf,
- firebird2.1-super, firebird2.1-classic,
- firebird2.0-classic, firebird2.0-super,
- firebird2-super-server,
- firebird2-classic-server, firebird2-utils-super, firebird2-utils-classic
+ firebird2.0-classic, firebird2.0-super
 Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}),
  firebird2.5-server-common (= ${binary:Version}),
  lsb-base, ${misc:Depends}, debconf (>= 1.4.69),
@@ -59,9 +56,8 @@
 Package: firebird2.5-classic
 Architecture: any
 Provides: firebird-server
-Conflicts: firebird2.1-classic, firebird2.1-super,
- firebird2.0-super, firebird2.0-classic,
- firebird2-super-server, firebird2-classic-server
+Conflicts: firebird-server,
+ firebird2.0-super, firebird2.0-classic
 Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}), netbase,
  firebird2.5-server-common (= ${binary:Version}),
  firebird2.5-classic-common (= ${binary:Version}),
@@ -94,9 +90,7 @@
 Architecture: any
 Provides: firebird-server
 Conflicts: firebird-server,
- firebird2.1-classic, firebird2.1-super,
- firebird2.0-super, firebird2.0-classic,
- firebird2-super-server, firebird2-classic-server
+ firebird2.0-super, firebird2.0-classic
 Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}), netbase,
  firebird2.5-server-common (= ${binary:Version}),
  firebird2.5-classic-common (= ${binary:Version}),
@@ -227,8 +221,7 @@
 Provides: firebird-udf, firebird-utils
 Conflicts: firebird-udf, firebird-utils,
  firebird2.1-classic, firebird2.1-super,
- firebird2.0-super, firebird2.0-classic,
- firebird2-utils-super, firebird2-utils-classic
+ firebird2.0-super, firebird2.0-classic
 Depends: ${misc:Depends}, ${shlibs:Depends}, firebird2.5-common-doc
 Description: common files for firebird 2.5 "classic" and "superclassic" servers
  This package contains the command line utilities and UDFs (user-defined
@@ -240,7 +233,7 @@
 Package: firebird2.5-dev
 Section: libdevel
 Architecture: all
-Conflicts: firebird2-dev, firebird2.0-dev, firebird2.1-dev
+Conflicts: firebird2.0-dev, firebird2.1-dev
 Depends: libfbclient2 (>= ${source:Version}), libib-util,
  ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
@@ -278,3 +271,12 @@
 Package: firebird2.5-common-doc
 Section: doc
 Architecture: all
+Depends: ${misc:Depends}
+Description: copyright, licnesing and changelogs of firebird2.5
+ This package contains the copyright and licensing information of firebird2.5,
+ as well as the upstream changelog.
+ .
+ Due to the size of the upstream change log and copyright/licensing summary,
+ keeping them in a separate package saves space on mirrors and when installing
+ firebird2.5 packages.
+ .
