=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# Full-site-with-pattern  [Version  [Action]]

version=3
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-(?=\D)/~/g" \
  http://www.firebirdsql.org/download/prerelease/source/ \
  .*Firebird-(2\.5\..+)\.tar\.bz2 debian sh debian/repack.sh
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-(?=\D)/~/g" \
  http://sf.net/firebird/[Ff]irebird-(2\.5\..*).tar.bz2 \
  debian sh debian/repack.sh
