## firebird2.5 2.5.1.26349-0~rc1.ds4

=== debian/changelog ===
firebird2.5 (2.5.1.26349-0~rc1.ds4-6) unstable; urgency=low

  * add patch from svn fixing duplicate keys insert into unique column
  * add a patch fixing compilation with hardening flags

 -- Damyan Ivanov <dmn@debian.org>  Sat, 01 Oct 2011 08:54:29 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-5) unstable; urgency=medium

  * Medium urgency for fixing a serious bug in testing

  * Import a patch from upstream SVN fixing problems in poll() usage when
    process receives signals like SIGALRM.
    Closes: #642555 -- segfault in the remote interface when using alarm() in
    the client program

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Sep 2011 14:12:19 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-4) unstable; urgency=low

  * -server-common.postrm: remove RUN directory only if existing

 -- Damyan Ivanov <dmn@debian.org>  Tue, 13 Sep 2011 10:01:26 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-3) unstable; urgency=low

  * rename firebird2.5-dev to firebird-dev
   + keep firebird2.5-dev as a transitional package
   + break/replace/provide old firebird{2.1,2.5}-dev, which are now
     transitional packages depending on firebird-dev
   + This is supposed to be the last rename of the firebird development
     package. The API is supposed to always be backwards compatible (and this
     was the case for the last 10 years).
   + -examples: recommend firebird-dev instead of firebird2.5-dev
  * make firebird-dev require the exact same version of libfbclient2
  * ship fbintl with .so extension and not executable
  * replace pointer to 'GPL' with a pointer to the exact meant version
    of the license

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Sep 2011 15:18:53 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-2) unstable; urgency=low

  * put libfbclient2 debug symbols in their own package
    this allows debugging binaries, linked with libfbclient2, while still
    having firebird2.5-classic installed
  * -server-common.postrm: remove $RUN
    makes piuparts tests succeed again
  * drop lintian overrides about -common-doc by rewording the description
    Closes: #636946. Thanks to Niels Thykier
  * do not fail creating existing firebird user (Closes: #626819)
  * provide mandatory build-{arch,indep} targets. thanks, lintian

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Sep 2011 18:15:35 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-1) unstable; urgency=low

  * New upstream release candidate
   + watch: force lowercase version and put ~ before non-digit
   + copyright: change the URL of the IPL
   + copyright: update (one new file)
   + refresh no-spurious-linkage.patch to apply cleanly

  * note in doc-base that Firebird_conf.txt is compressed
  * eable multiarch support
  * replace dh_clean -k with dh_prep
  * rules: add build-arch and build-indep targets
  * drop unneeded override about files in depended on package
  * shorten -classic-common short description

 -- Damyan Ivanov <dmn@debian.org>  Wed, 07 Sep 2011 20:07:41 +0300
