=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: database
 Priority: optional
 Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
-Uploaders: Daniel Urban <daniel@sente.pl>,
- Damyan Ivanov <dmn@debian.org>
+Uploaders: Damyan Ivanov <dmn@debian.org>
 Build-Depends: 
  autoconf,
  automake,
  bison,
- debhelper (>= 6.0.7~),
+ debhelper (>= 8.1.3),
  docbook-to-man,
  gawk,
  libatomic-ops-dev (>= 1.2+cvs20091005),
@@ -120,6 +119,8 @@
 Package: libfbclient2
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}),
  ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
@@ -141,6 +142,8 @@
 Package: libfbembed2.5
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, firebird2.5-common (= ${binary:Version}),
  firebird2.5-server-common (= ${binary:Version}), ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
@@ -169,6 +172,8 @@
 Package: libib-util
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
 Description: Firebird UDF support library
@@ -223,33 +228,46 @@
  firebird2.1-classic, firebird2.1-super,
  firebird2.0-super, firebird2.0-classic
 Depends: ${misc:Depends}, ${shlibs:Depends}, firebird2.5-common-doc
-Description: common files for firebird 2.5 "classic" and "superclassic" servers
+Description: common files for firebird 2.5 "classic" and "superclassic"
  This package contains the command line utilities and UDFs (user-defined
  function libraries) common to classic and superclassic Firebird servers.
  .
  Please refer to the firebird2.5-classic or firebird2.5-superclassic packages
  for more information about Firebird in general.
+
+Package: firebird-dev
+Section: libdevel
+Architecture: any
+Breaks: firebird2.0-dev, firebird2.1-dev (<< 2.1.4.18393-0.ds2-4~),
+ firebird2.5-dev (<< 2.5.1.26349-0~rc1.ds4-3~)
+Replaces: firebird2.0-dev, firebird2.1-dev (<< 2.1.4.18393-0.ds2-4~),
+ firebird2.5-dev (<< 2.5.1.26349-0~rc1.ds4-3~)
+Provides: firebird2.1-dev, firebird2.5-dev
+Depends: libfbclient2 (= ${binary:Version}), libib-util,
+ ${misc:Depends},
+ firebird2.5-common-doc (= ${source:Version})
+Suggests: libfbembed2.5, firebird2.5-examples
+Description: Development files for Firebird - an RDBMS based on InterBase 6.0 code
+ This package contains header files for Firebird.
+ .
+ Please refer to the firebird2.5-super and firebird2.5-classic packages for
+ more information about Firebird in general.
 
 Package: firebird2.5-dev
 Section: libdevel
 Architecture: all
-Conflicts: firebird2.0-dev, firebird2.1-dev
-Depends: libfbclient2 (>= ${source:Version}), libib-util,
- ${misc:Depends},
- firebird2.5-common-doc (= ${source:Version})
-Suggests: libfbembed2.5, firebird2.5-examples
-Description: Development files for Firebird - an RDBMS based on InterBase 6.0 code
- This package contains header files for Firebird.
- .
- Please refer to the firebird2.5-super and firebird2.5-classic packages for
- more information about Firebird in general.
+Depends: ${misc:Depends}, firebird-dev (>= 2.5.1.26349-0~rc1.ds4-3~),
+ firebird2.5-common-doc
+Description: transitional package for firebird-dev
+ firebird2.5-dev was renamed to firebird-dev. This dummy package is provided
+ to ease the transition for packages build-depending on firebird2.5-dev.
 
 Package: firebird2.5-examples
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
-Recommends: firebird2.5-dev
+Recommends: firebird-dev
 Description: Examples for Firebird - an RDBMS based on InterBase 6.0 code
  The examples included in this package are provided as samples and are also
  used by Firebird's testing suite (TCS). The examples are in the form
@@ -263,20 +281,3 @@
 Architecture: all
 Depends: ${misc:Depends},
  firebird2.5-common-doc (= ${source:Version})
-Description: Documentation files for firebird database version 2.5
- Various documents for firebird 2.5. These include the release notes, what's
- new in firebird 2.5, quick start guide, upgrade guide, list of ISQL
- enhancements etc.
-
-Package: firebird2.5-common-doc
-Section: doc
-Architecture: all
-Depends: ${misc:Depends}
-Description: copyright, licnesing and changelogs of firebird2.5
- This package contains the copyright and licensing information of firebird2.5,
- as well as the upstream changelog.
- .
- Due to the size of the upstream change log and copyright/licensing summary,
- keeping them in a separate package saves space on mirrors and when installing
- firebird2.5 packages.
- .
