## firebird2.5 2.5.1.26351.ds4

=== debian/changelog ===
firebird2.5 (2.5.1.26351.ds4-2ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: Fix for NULL pointer Denial of Service in TraceManager
    (LP: #1115902)
    - debian/patches/CVE-2012-5529.patch: Handle empty query safely. Based on
      upstream patch.
    - CVE-2012-5529

 -- Christian Kuersteiner <ckuerste@gmx.ch>  Wed, 06 Feb 2013 09:54:44 +0700

firebird2.5 (2.5.1.26351.ds4-2build1) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 16:13:23 +0000

firebird2.5 (2.5.1.26351.ds4-2) unstable; urgency=low

  * add patch from upstream svn r53558 fixing checking for duplicate records
    with NULLs

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Oct 2011 14:41:53 +0300

firebird2.5 (2.5.1.26351.ds4-1) unstable; urgency=low

  * watch: remove trailing -0 from upstream version
    it adds no value and only makes the already long version longer
  * watch: prefer release download area to prerelease one
    in case the same file name is available from both, we want to use the
    one from the release area

  * New upstream stable release
  * copyright: four new assumed-PD files
  * patchworks:
    + drop svn/r53460-poll_vs_alarm.patch (modified version released)
    + refresh separate-file-and-sem-perms.patch to apply without line offsets
  * control: fis libfbclient2 long description to refer to libfbclient2.5, not
    2.1

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Oct 2011 12:43:56 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-7) unstable; urgency=low

  * build-depend on dpkg-dev 1.16.1 for --export=configure

 -- Damyan Ivanov <dmn@debian.org>  Sat, 01 Oct 2011 11:59:46 +0300
