=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: firebird2.5
 Section: database
 Priority: optional
-Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>
 Build-Depends: 
  autoconf,
@@ -9,6 +10,7 @@
  bison,
  debhelper (>= 8.1.3),
  docbook-to-man,
+ dpkg-dev (>= 1.16.1),
  gawk,
  libatomic-ops-dev (>= 1.2+cvs20091005),
  libedit-dev,
@@ -137,7 +139,7 @@
  .
  It uses TCP to connect to the server and is tread-safe.
  .
- For direct (non-TCP) database access, see libfbembed2.1.
+ For direct (non-TCP) database access, see libfbembed2.5.
 
 Package: libfbembed2.5
 Section: libs
@@ -279,5 +281,3 @@
 Package: firebird2.5-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
- firebird2.5-common-doc (= ${source:Version})
