=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --build $(DEB_HOST_GNU_TYPE)
@@ -53,7 +54,8 @@
 VAR=/var/lib/firebird/${FB_VER}
 RUN=/var/run/firebird/${FB_VER}
 
-confflags += --disable-static --with-gpre-cobol --with-system-icu \
+confflags += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+	     --disable-static --with-gpre-cobol --with-system-icu \
 	     --with-system-editline --prefix=/usr --with-fbsbin=/usr/sbin \
 	     --with-fbconf=/etc/firebird/${FB_VER} --with-fbdoc=${DOC} \
 	     --with-fbudf=${ULFB}/UDF --with-fbsample=${DOC}/examples \
@@ -61,7 +63,8 @@
 	     --with-fbhelp=${VAR}/system --with-fbintl=${ULFB}/intl \
 	     --with-fbmisc=${ULFB}/misc --with-fbsecure-db=${VAR}/system \
 	     --with-fbmsg=${USFB} --with-fblog=/var/log --with-fbglock=${RUN} \
-	     --with-fbplugins=${ULFB}/plugins
+	     --with-fbplugins=${ULFB}/plugins \
+	     $(shell dpkg-buildflags --export=configure)
 
 # see #575564
 export FIREBIRD_LOCK=$(CURDIR)/debian/tmp-lock
@@ -116,9 +119,16 @@
 	touch $@
 
 .PHONY: build
-build: build-stamp
-build-stamp: build-manuals build-super-and-classic
-	touch $@
+build: build-arch build-indep
+
+build-stamp: build-super-and-classic
+	sed 's/\$$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' debian/libib-util.lintian-overrides.in > debian/libib-util.lintian-overrides
+	touch $@
+
+.PHONY: build-indep
+build-indep: build-manuals
+
+build-arch: build-stamp
 
 .PHONY: build-super-and-classic
 build-super-and-classic:
@@ -220,7 +230,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	sh debian/make_packages.sh
@@ -275,12 +285,3 @@
 	dh_installinit -pfirebird$(FB_VER)-super
 	# classic's doesn't need stop rc.d links
 	dh_installinit -pfirebird$(FB_VER)-classic -u'start 20 2 3 4 5 .'
-	dh_installinit -pfirebird$(FB_VER)-superclassic
-	dh_installcron -a
-	dh_installman -a
-	dh_installinfo -a
-	dh_installlogrotate -a --name firebird$(FB_VER)
-	dh_lintian -a
-	dh_strip -pfirebird$(FB_VER)-super --dbg-package firebird2.5-super-dbg
-	dh_strip -plibfbclient$(CLIENT_SOVER) --dbg-package firebird2.5-super-dbg
-	dh_strip -pfirebird$(FB_VER)-classic --dbg-package firebird2.5-classic-dbg
